Page MenuHomePhabricator

Enabling NWE breaks wikitext pasting in VE
Closed, ResolvedPublic1 Story Points

Description

We don't want wikitext pasting in NWE, so to do this I put an unregister call in ve.ce.MWWikitextSurface. However as this code is always loaded if NWE is available this won't work. We probably need a separate registry like we have for commands.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
ResolvedJules78120
OpenNone
ResolvedDannyH
OpenNone
OpenEsanders
OpenNone
OpenEsanders
ResolvedJdforrester-WMF
ResolvedEsanders

Event Timeline

Esanders created this task.Sep 3 2016, 12:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2016, 12:33 AM
Jdforrester-WMF set the point value for this task to 1.Sep 8 2016, 4:38 PM
Esanders changed the point value for this task from 1 to 8.Sep 20 2016, 6:48 PM
Esanders changed the point value for this task from 8 to 1.Sep 21 2016, 8:08 PM

Change 312096 had a related patch set uploaded (by Esanders):
Only unregister WT string handler in WT handler factory

https://gerrit.wikimedia.org/r/312096

Turns out I'd already done most of the hard work to make this happen (creating a separate DTH for the wikitext surface).

Change 312096 merged by jenkins-bot:
Only unregister WT string handler in WT handler factory

https://gerrit.wikimedia.org/r/312096

Jdforrester-WMF closed this task as Resolved.Sep 22 2016, 4:23 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.